### Method

# Ggit RevisionWalker next

#### Declaration [src]

    GgitOId*
    ggit_revision_walker_next (
      GgitRevisionWalker* walker
      GError** error
    )

#### Description [src]

Gets the next commit from the revision walk.

The initial call to this method is not blocking when iterating through a repository with a time-sorting mode.

Iterating with Topological or inverted modes makes the initial call blocking to preprocess the commit list, but this block should be mostly unnoticeable on most repositories (topological preprocessing times at 0.3s on the git.git repo).

The revision walker is reset when the walk is over.

#### Return value

Type: `GgitOId`

The next commit from the revision walk or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.